const button = document.getElementById("theme");
const classes = document.documentElement.classList;

function button_refresh() {
    button.innerHTML = theme_get();
}
function theme_get() {
    return classes.contains("dark")?"dark":"light";
}
function theme_read() {
    const theme = localStorage.getItem("theme");
    if (theme) {
        theme_set(theme);
    }
}
function theme_set(theme) {
    if (theme == "dark") {
        classes.add("dark");
    }
    button_refresh();
}
function theme_toggle() {
    classes.toggle("dark");
    button_refresh();
    theme_write();
}
function theme_write() {
    localStorage.setItem("theme", theme_get());
}

button.addEventListener("click", () => {
    theme_toggle();
});

theme_read();
